Update Payment Settings For Pass Template
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"price": 123,
"currency": "<string>",
"providerSettings": {
"username": "<string>",
"password": "<string>",
"signature": "<string>",
"sandbox": true,
"itemName": "<string>",
"publishableKey": "<string>",
"secretKey": "<string>",
"publicKey": "<string>",
"privateKey": "<string>"
}
}
'import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/payment"
payload = {
"enabled": True,
"price": 123,
"currency": "<string>",
"providerSettings": {
"username": "<string>",
"password": "<string>",
"signature": "<string>",
"sandbox": True,
"itemName": "<string>",
"publishableKey": "<string>",
"secretKey": "<string>",
"publicKey": "<string>",
"privateKey": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
price: 123,
currency: '<string>',
providerSettings: {
username: '<string>',
password: '<string>',
signature: '<string>',
sandbox: true,
itemName: '<string>',
publishableKey: '<string>',
secretKey: '<string>',
publicKey: '<string>',
privateKey: '<string>'
}
})
};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Payment
Update Payment Settings For Pass Template
Update Payment Settings for Pass Template
Update the payment settings of the pass template.
Parameters:
payment(TemplatePayment): The updated payment settings data.template(Template): The pass template.
Returns:
dict: The updated payment settings of the pass template.
PUT
/
v2
/
templates
/
{templateId}
/
payment
Update Payment Settings For Pass Template
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
⌘I
